Method: publishers.items.getRatingSummary

מקבל את RatingSummary של הפריט של בעל התוכן הדיגיטלי.

בקשת HTTP

GET https://chromewebstore.googleapis.com/v2/{name=publishers/*/items/*/ratingSummary}

כתובת ה-URL כתובה בתחביר של gRPC Transcoding.

פרמטרים של הנתיב

פרמטרים
name

string

חובה. השם של סיכום הדירוג שרוצים לאחזר. פורמט: publishers/{publisher}/items/{item}/ratingSummary

גוף הבקשה

גוף הבקשה צריך להיות ריק.

גוף התשובה

משאב יחיד לסיכום הדירוג של פריט.

אם הפעולה מצליחה, גוף התשובה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "name": string,
  "ratingCount": string,
  "rating": number,
  "nonEmptyReviewCount": string,
  "oneStarRatingCount": string,
  "twoStarRatingCount": string,
  "threeStarRatingCount": string,
  "fourStarRatingCount": string,
  "fiveStarRatingCount": string
}
שדות
name

string

מזהה. פורמט שם המשאב של סיכום דירוג הפריט: publishers/{publisher}/items/{item}/ratingSummary

ratingCount

string (int64 format)

המספר הכולל של הדירוגים לפריט.

rating

number

הדירוג של הפריט כפי שהוא מוצג בדף החנות, מבוטא כמספר עשרוני בין 1 ל-5.

nonEmptyReviewCount

string (int64 format)

מספר הדירוגים עם טקסט ביקורת לא ריק.

oneStarRatingCount

string (int64 format)

מספר הדירוגים של כוכב אחד.

twoStarRatingCount

string (int64 format)

מספר הדירוגים של שני כוכבים.

threeStarRatingCount

string (int64 format)

מספר הדירוגים של שלושה כוכבים.

fourStarRatingCount

string (int64 format)

מספר הדירוגים של ארבעה כוכבים.

fiveStarRatingCount

string (int64 format)

מספר הדירוגים של חמישה כוכבים.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/chromewebstore
  • https://www.googleapis.com/auth/chromewebstore.readonly